Bug 449514 - KMail crashes when closing it
Summary: KMail crashes when closing it
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2022-02-02 18:24 UTC by Dennis Schridde
Modified: 2022-08-25 21:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (5.03 KB, text/plain)
2022-03-28 13:48 UTC, Dennis Schridde
Details
New crash information added by DrKonqi (5.10 KB, text/plain)
2022-05-08 11:58 UTC, Dennis Schridde
Details
New crash information added by DrKonqi (4.84 KB, text/plain)
2022-07-03 10:36 UTC, Dennis Schridde
Details
New crash information added by DrKonqi (3.93 KB, text/plain)
2022-07-16 15:04 UTC, John Franklin
Details
New crash information added by DrKonqi (4.93 KB, text/plain)
2022-08-25 21:03 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2022-02-02 18:24:42 UTC
Application: kmail (5.19.1 (21.12.1))

Qt Version: 5.15.2
Frameworks Version: 5.90.0
Operating System: Linux 5.15.18-gentoo-dist x86_64
Windowing System: Wayland
Distribution: "Gentoo Base System release 2.8"
DrKonqi: 5.23.5 [KCrashBackend]

-- Information about the crash:
- What I was doing when the application crashed:

I open and then immediately close KMail. It crashes. It also crashes after reading emails for some time. This is 100% reproducible.

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault

[KCrash Handler]
#4  0x00007efdf1af87d5 in QAction::setText(QString const&) () at /usr/lib64/libQt5Widgets.so.5
#5  0x00007efdfa0776d2 in KMMainWidget::updateFolderMenu() () at /usr/lib64/libkmailprivate.so.5
#6  0x00007efdfa082236 in KMMainWidget::setupActions() () at /usr/lib64/libkmailprivate.so.5
#7  0x00007efdfa087b79 in KMMainWidget::KMMainWidget(QWidget*, KXMLGUIClient*, KActionCollection*, QExplicitlySharedDataPointer<KSharedConfig> const&) () at /usr/lib64/libkmailprivate.so.5
#8  0x00007efdfa03137a in KMMainWin::KMMainWin(QWidget*) () at /usr/lib64/libkmailprivate.so.5
#9  0x00007efdfa042797 in KMKernel::openReader(bool, bool) () at /usr/lib64/libkmailprivate.so.5
#10 0x00007efdfa047bcf in KMKernel::action(bool, bool, bool, QString const&, QString const&, QString const&, QString const&, QString const&, QUrl const&, QList<QUrl> const&, QStringList const&, QString const&, QString const&, QString const&) () at /usr/lib64/libkmailprivate.so.5
#11 0x00007efdfa049520 in KMKernel::handleCommandLine(bool, QStringList const&, QString const&) () at /usr/lib64/libkmailprivate.so.5
#12 0x00005592ba12b9f2 in KMailApplication::activate(QStringList const&, QString const&) ()
#13 0x00007efdfa192123 in  () at /usr/lib64/libKF5KontactInterface.so.5
#14 0x00007efdfa1923d3 in KontactInterface::PimUniqueApplication::qt_metacall(QMetaObject::Call, int, void**) () at /usr/lib64/libKF5KontactInterface.so.5
#15 0x00007efdf079896b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () at /usr/lib64/libQt5DBus.so.5
#16 0x00007efdf079c4b3 in QDBusConnectionPrivate::activateCall(QObject*, int, QDBusMessage const&) [clone .part.0] () at /usr/lib64/libQt5DBus.so.5
#17 0x00007efdf079cd6e in QDBusConnectionPrivate::activateObject(QDBusConnectionPrivate::ObjectTreeNode&, QDBusMessage const&, int) () at /usr/lib64/libQt5DBus.so.5
#18 0x00007efdf079f2e8 in QDBusActivateObjectEvent::placeMetaCall(QObject*) () at /usr/lib64/libQt5DBus.so.5
#19 0x00007efdf10f8b36 in QObject::event(QEvent*) () at /usr/lib64/libQt5Core.so.5
#20 0x00007efdf1afc96f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#21 0x00007efdf10cd2a8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#22 0x00007efdf10d0915 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib64/libQt5Core.so.5
#23 0x00007efdf111f963 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /usr/lib64/libQt5Core.so.5
#24 0x00007efdeac0335b in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#25 0x00007efdeac03618 in  () at /usr/lib64/libglib-2.0.so.0
#26 0x00007efdeac036cf in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#27 0x00007efdf111f3f4 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#28 0x00007efdf10cbc9b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#29 0x00007efdf10d42cd in QCoreApplication::exec() () at /usr/lib64/libQt5Core.so.5
#30 0x00005592ba12b605 in main ()
[Inferior 1 (process 2424) detached]

Possible duplicates by query: bug 448024, bug 447360, bug 443988, bug 362085, bug 361094.

Reported using DrKonqi
Comment 1 Dennis Schridde 2022-03-28 13:48:34 UTC
Created attachment 147789 [details]
New crash information added by DrKonqi

kmail (5.19.3 (21.12.3)) using Qt 5.15.2

- What I was doing when the application crashed:

I clicked on a `mailto:...` link in a browser. KMail opened and immediately closed again. Then the crash report appeared.

-- Backtrace (Reduced):
#4  0x00007f9ae69bd7d5 in QAction::setText(QString const&) () at /usr/lib64/libQt5Widgets.so.5
#5  0x00007f9aeef22862 in KMMainWidget::updateFolderMenu() (this=0x55afa94239d0) at /tmp/portage/kde-apps/kmail-21.12.3/work/kmail-21.12.3/src/kmmainwidget.cpp:4043
#6  0x00007f9aeef2d3b5 in KMMainWidget::setupActions() (this=0x55afa94239d0) at /tmp/portage/kde-apps/kmail-21.12.3/work/kmail-21.12.3/src/kmmainwidget.cpp:3405
#7  0x00007f9aeef32ce9 in KMMainWidget::KMMainWidget(QWidget*, KXMLGUIClient*, KActionCollection*, QExplicitlySharedDataPointer<KSharedConfig> const&) (this=this@entry=0x55afa94239d0, parent=parent@entry=0x55afaafee8a0, aGUIClient=aGUIClient@entry=0x55afaafee918, actionCollection=actionCollection@entry=0x55afaaf8f140, config=...) at /tmp/portage/kde-apps/kmail-21.12.3/work/kmail-21.12.3/src/kmmainwidget.cpp:251
#8  0x00007f9aeeedc4fa in KMMainWin::KMMainWin(QWidget*) (this=this@entry=0x55afaafee8a0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /tmp/portage/kde-apps/kmail-21.12.3/work/kmail-21.12.3/src/kmmainwin.cpp:49
Comment 2 Dennis Schridde 2022-05-08 11:58:54 UTC
Created attachment 148656 [details]
New crash information added by DrKonqi

kmail (5.20.0 (22.04.0)) using Qt 5.15.3

- What I was doing when the application crashed:

I selected an email address in KRunner, KMail opened with the email editor, then it crashed while I was looking at the email list, I did not write the email or close the editor window yet.

-- Backtrace (Reduced):
#4  0x00007f80d0abf7d5 in QAction::setText(QString const&) () at /usr/lib64/libQt5Widgets.so.5
#5  0x00007f80d9043072 in KMMainWidget::updateFolderMenu() (this=0x555b575424e0) at /tmp/portage/kde-apps/kmail-22.04.0/work/kmail-22.04.0/src/kmmainwidget.cpp:4036
#6  0x00007f80d904db92 in KMMainWidget::setupActions() (this=0x555b575424e0) at /tmp/portage/kde-apps/kmail-22.04.0/work/kmail-22.04.0/src/kmmainwidget.cpp:3398
#7  0x00007f80d9053659 in KMMainWidget::KMMainWidget(QWidget*, KXMLGUIClient*, KActionCollection*, QExplicitlySharedDataPointer<KSharedConfig> const&) (this=this@entry=0x555b575424e0, parent=parent@entry=0x555b56cb8530, aGUIClient=aGUIClient@entry=0x555b56cb85a8, actionCollection=actionCollection@entry=0x555b58220300, config=...) at /tmp/portage/kde-apps/kmail-22.04.0/work/kmail-22.04.0/src/kmmainwidget.cpp:242
#8  0x00007f80d8ffcbba in KMMainWin::KMMainWin(QWidget*) (this=this@entry=0x555b56cb8530, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /tmp/portage/kde-apps/kmail-22.04.0/work/kmail-22.04.0/src/kmmainwin.cpp:49
Comment 3 Dennis Schridde 2022-07-03 10:36:37 UTC
Created attachment 150361 [details]
New crash information added by DrKonqi

kmail (5.20.2 (22.04.2)) using Qt 5.15.5

I changed Sieve filters and closed KMail afterwards. Then it crashed

-- Backtrace (Reduced):
#4  0x00007ff77d57f815 in QAction::setText(QString const&) () at /usr/lib64/libQt5Widgets.so.5
#5  0x00007ff785ae3ec2 in KMMainWidget::updateFolderMenu() (this=0x5612de398bc0) at /tmp/portage/kde-apps/kmail-22.04.2/work/kmail-22.04.2/src/kmmainwidget.cpp:4037
#6  0x00007ff785aeea57 in KMMainWidget::setupActions() (this=0x5612de398bc0) at /tmp/portage/kde-apps/kmail-22.04.2/work/kmail-22.04.2/src/kmmainwidget.cpp:3399
#7  0x00007ff785af44e9 in KMMainWidget::KMMainWidget(QWidget*, KXMLGUIClient*, KActionCollection*, QExplicitlySharedDataPointer<KSharedConfig> const&) (this=this@entry=0x5612de398bc0, parent=parent@entry=0x5612d331a4d0, aGUIClient=aGUIClient@entry=0x5612d331a548, actionCollection=actionCollection@entry=0x5612decdf8c0, config=...) at /tmp/portage/kde-apps/kmail-22.04.2/work/kmail-22.04.2/src/kmmainwidget.cpp:242
#8  0x00007ff785a9d9fa in KMMainWin::KMMainWin(QWidget*) (this=this@entry=0x5612d331a4d0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /tmp/portage/kde-apps/kmail-22.04.2/work/kmail-22.04.2/src/kmmainwin.cpp:49
Comment 4 John Franklin 2022-07-16 15:04:33 UTC
Created attachment 150676 [details]
New crash information added by DrKonqi

kmail (5.20.2 (22.04.2)) using Qt 5.15.4

- What I was doing when the application crashed:

Exiting and restarting KMail.

- Custom settings of the application:

I use both an Exchange server (Office 365 business) and a pair of IMAP servers.  The Exchange connection dies on a regular basis, so I close KMail and it crashes when I try to immediately reopen it.

Using MySQL for the backend.

-- Backtrace (Reduced):
#4  0x00007fac4015f6e5 in QAction::setText(QString const&) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5
#5  0x00007fac48c0bf7a in KMMainWidget::updateFolderMenu() () from /lib/x86_64-linux-gnu/libkmailprivate.so.5
#6  0x00007fac48c16c69 in KMMainWidget::setupActions() () from /lib/x86_64-linux-gnu/libkmailprivate.so.5
#7  0x00007fac48c1c5b9 in KMMainWidget::KMMainWidget(QWidget*, KXMLGUIClient*, KActionCollection*, QExplicitlySharedDataPointer<KSharedConfig> const&) () from /lib/x86_64-linux-gnu/libkmailprivate.so.5
#8  0x00007fac48bc79bb in KMMainWin::KMMainWin(QWidget*) () from /lib/x86_64-linux-gnu/libkmailprivate.so.5
Comment 5 Dennis Schridde 2022-08-25 21:03:12 UTC
Created attachment 151591 [details]
New crash information added by DrKonqi

kmail (5.21.0 (22.08.0)) using Qt 5.15.5

KMail came up showing "Unknown" next to the loading bar in the bottom border of the application and now folders or emails in the main part of the application. I closed it and received the crash report.

-- Backtrace (Reduced):
#4  0x00007ff1bb926354 in QAction::setText(QString const&) () at /usr/lib64/libQt5Widgets.so.5
#5  0x00007ff1c3ee0212 in KMMainWidget::updateFolderMenu() (this=0x556a23d08ef0) at /tmp/portage/kde-apps/kmail-22.08.0/work/kmail-22.08.0/src/kmmainwidget.cpp:4045
#6  0x00007ff1c3eeaa6c in KMMainWidget::setupActions() (this=<optimized out>) at /tmp/portage/kde-apps/kmail-22.08.0/work/kmail-22.08.0/src/kmmainwidget.cpp:3405
#7  0x00007ff1c3ef00b2 in KMMainWidget::KMMainWidget(QWidget*, KXMLGUIClient*, KActionCollection*, QExplicitlySharedDataPointer<KSharedConfig> const&) (this=this@entry=0x556a23d08ef0, parent=parent@entry=0x556a23da71a0, aGUIClient=aGUIClient@entry=0x556a23da7220, actionCollection=<optimized out>, config=...) at /tmp/portage/kde-apps/kmail-22.08.0/work/kmail-22.08.0/src/kmmainwidget.cpp:242
#8  0x00007ff1c3e995c3 in KMMainWin::KMMainWin(QWidget*) (this=this@entry=0x556a23da71a0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /tmp/portage/kde-apps/kmail-22.08.0/work/kmail-22.08.0/src/kmmainwin.cpp:55